<?php

namespace App\Http\Requests\V3\Otp;

use Illuminate\Foundation\Http\FormRequest;

class GetOtpTokenRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'phone_number' => 'required|digits:11|starts_with:09',
        ];
    }

    public function messages(): array
    {
        return [
            'starts_with' => ':attribute باید با :values شروع شود.'
        ];
    }
}
